@import url('/css/fonts/termnial/font.css');

* {
    font-family: 'terminal_grotesque';
}

body {
    display: flex;
    flex-direction: column;
    height: 100%;
    margin: 0;
    padding: 0;
}

.draggable {
    cursor: move;
}

#title {
    font-size: 32px;
}

#commands {
    user-select: none;
    position: absolute;
    top: 8px;
    left: 8px;

    display: flex;
    padding: 8px;
    gap: 16px;
    background-color: rgba(255, 255, 255, 0.5);

    border-radius: 4px;
}

#commands img {
    height: 32px;
}

#commands > button {
    padding: 8px;
    border: none;
    border-radius: 4px;
    cursor: pointer;
    display: flex;
    align-items: center;
    gap: 8px;
    background-color: black;
    color: white;
}

#tools {
    display: flex;
    gap: 8px;
    padding: 8px;
    background-color: rgba(255, 255, 255, 0.5);

    position: fixed;
    bottom: 16px;
    left: 50%;
    transform: translateX(-50%);

    border-radius: 4px;
}

#tools > div {
    width: 32px;
    height: 32px;
    cursor: pointer;
    border-radius: 4px;
    padding: 8px;
    background-color: black;
}

#tools > div > img {
    width: 100%;
    height: 100%;
    object-fit: contain;
}

#canvas {
    width: 100%;
    height: 100%;
}

#params {
    display: flex;
    gap: 32px;
    padding: 16px;
}

#params > div {
    width: 250px;
    display: flex;
    flex-direction: column;
}

/* 
    Sampler window
*/

#sampler {
    display: flex;
    gap: 8px;
    position: absolute;

    left: 8px;
    top: 72px;
}

#sampler>div {
    padding: 8px;
    background-color: rgba(255, 255, 255, 0.5);
    border-radius: 4px;
}

.sampler_options {
    display: flex;
    flex-direction: column;
    gap: 8px;
    height: fit-content;
}

#sampler_core {
    width: 300px;
    height: 300px;
    position: relative;
    padding: 0px !important;
}

#sampler_canvas {
    width: 250px;
    height: 250px;
    position: absolute;
    top: 25px;
    left: 25px;
    cursor: grab;
}

@keyframes rotate {
    from {
        transform: rotate(0deg);
    }

    to {
        transform: rotate(360deg);
    }
}

#sampler_reload {
    cursor: pointer;
    animation: rotate 5s linear infinite;
}

#icon_scale, #icon_quality {
    position: absolute;
    transform: translate(-50%, -50%);
}

#icon_scale {
    left: 12.5px;
}

#icon_quality {
    top: 12.5px;
}

#info_popup {
    width: 50%;
    height: 50%;
    min-width: 600px;
    min-height: 400px;
    position: fixed;
    z-index: 100;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);

    padding: 16px;
    background-color: rgba(255, 255, 255, 0.5);
    border-radius: 8px;
    overflow-y: scroll;
}

.closed {
    display: none;
}

#close_popup {
    position: absolute;
    top: 8px;
    right: 8px;
    cursor: pointer;
    font-size: 22px;
    border: none;
    border-radius: 4px;
    padding: 8px;

    color:white;
    background:black;
}

#info_popup p, #info_popup li {
    font-size: 22px;
}

/* Brush size slider */

.brush_size_container {
    display: flex;
    flex-direction: column;
    gap: 16px;
    align-items: center;
}

#brush-radius {
    height: 100%;
    width: 100%;
    position: relative;
}

.brush-slider {
    height: 100%;
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
    width: 15px;
    background-color: black;
    clip-path: polygon(40% 100%, 60% 100%, 100% 0%, 0% 0%);
}

.brush-slider-handle {
    width: 70%;
    aspect-ratio: 1/1;
    border-radius: 50%;
    border: solid 2px black;
    background-color: white;

    position: absolute;
    top: 0px;
    left: 50%;
    transform: translate(-50%, -50%);

    cursor: grab;
}